Update the VMware Hardware Version

gateway10
The virtual machine hardware version in VMware controls which hardware resources or the amount of resources that the virtual machine can access. For example, if the virtual machine must access more than eight virtual CPUs (vCPU), then a hardware version greater than 8 is required (for ESXi 4.x). For information about hardware and software support for each version of ESXi, Workstation, or Fusion, refer to these pages from the VMware documentation:
External links to vendor documentation are subject to change without notice.
Contents:
Increasing the VMware Hardware Version or Compatibility Setting
Refer to the following pages in the the VMware documentation for instructions on how to increase the hardware version/compatibility setting:
Observe the following points when changing your compatibility setting:
  • Always back up your virtual machine first.
  • Once you upgrade your compatibility, it is not possible to downgrade. For example:
    • Hardware Version 10 is only compatible with ESXi 5.5 and above
    • Hardware Version 11 is only compatible with ESXi 6.0 and above
  • Upgrading your virtual machine through the Windows vSphere client automatically upgrades to the highest version available on the ESXi host on which your virtual machine is installed.
Upgrading VMware Tools
Prerequisites:
  • You have a recent backup of your virtual machine.
  • For customers running Layer7 API Gateway Version 10:
    • Ensure that your virtual machine is running CentOS 7.x
    • Only VMwareTools-10.3.2-9925305.tar.gz is compatible as the upgrade package.
CA Technologies recommends upgrading the VMware Tools using the package from your ESXi installation. For more information, refer to these pages from the VMware documentation: